D-Bus: DBusMessageLoader Struct Reference

D-Bus 1.16.2

Data Fields
DBusMessageLoader Struct Reference
D-Bus secret internal implementation details » DBusMessage implementation details

Implementation details of DBusMessageLoader. More...

`#include <dbus-message-private.h>`

## Data Fields
int | refcount
| Reference count.
DBusString | data
| Buffered data.
DBusList * | messages
| Complete messages.
long | max_message_size
| Maximum size of a message.
long | max_message_unix_fds
| Maximum unix fds in a message.
DBusValidity | corruption_reason
| why we were corrupted
unsigned int | corrupted: 1
| We got broken data, and are no longer working.
unsigned int | buffer_outstanding: 1
| Someone is using the buffer to read.

## Detailed Description

Implementation details of DBusMessageLoader.

All members are private.

Definition at line 62 of file dbus-message-private.h.

## Field Documentation

## ◆ buffer_outstanding

unsigned int DBusMessageLoader::buffer_outstanding

Someone is using the buffer to read.

Definition at line 77 of file dbus-message-private.h.

Referenced by _dbus_message_loader_get_buffer(), and _dbus_message_loader_return_buffer().

## ◆ corrupted

unsigned int DBusMessageLoader::corrupted

We got broken data, and are no longer working.

Definition at line 75 of file dbus-message-private.h.

Referenced by _dbus_message_loader_get_corruption_reason(), _dbus_message_loader_get_is_corrupted(), _dbus_message_loader_new(), and _dbus_message_loader_queue_messages().

## ◆ corruption_reason

DBusValidity DBusMessageLoader::corruption_reason

why we were corrupted

Definition at line 73 of file dbus-message-private.h.

Referenced by _dbus_message_loader_get_corruption_reason(), _dbus_message_loader_get_is_corrupted(), _dbus_message_loader_new(), _dbus_message_loader_queue_messages(), and dbus_message_demarshal().

## ◆ data

DBusString DBusMessageLoader::data

Buffered data.

Definition at line 66 of file dbus-message-private.h.

Referenced by _dbus_message_loader_get_buffer(), _dbus_message_loader_new(), _dbus_message_loader_queue_messages(), _dbus_message_loader_return_buffer(), and _dbus_message_loader_unref().

## ◆ max_message_size

long DBusMessageLoader::max_message_size

Maximum size of a message.

Definition at line 70 of file dbus-message-private.h.

Referenced by _dbus_message_loader_get_buffer(), _dbus_message_loader_get_max_message_size(), _dbus_message_loader_new(), _dbus_message_loader_queue_messages(), and _dbus_message_loader_set_max_message_size().

## ◆ max_message_unix_fds

long DBusMessageLoader::max_message_unix_fds

Maximum unix fds in a message.

Definition at line 71 of file dbus-message-private.h.

Referenced by _dbus_message_loader_get_max_message_unix_fds(), _dbus_message_loader_new(), and _dbus_message_loader_set_max_message_unix_fds().

## ◆ messages

DBusList* DBusMessageLoader::messages

Complete messages.

Definition at line 68 of file dbus-message-private.h.

Referenced by _dbus_message_loader_peek_message(), _dbus_message_loader_pop_message(), _dbus_message_loader_pop_message_link(), _dbus_message_loader_putback_message_link(), _dbus_message_loader_queue_messages(), and _dbus_message_loader_unref().

## ◆ refcount

int DBusMessageLoader::refcount

Reference count.

Definition at line 64 of file dbus-message-private.h.

Referenced by _dbus_message_loader_new(), _dbus_message_loader_ref(), and _dbus_message_loader_unref().

The documentation for this struct was generated from the following file:

- dbus-message-private.h